Package org.apache.tomcat.util.net

## Class Nio2Endpoint.SendfileData

- java.lang.Object
- - org.apache.tomcat.util.net.SendfileDataBase
  - - org.apache.tomcat.util.net.Nio2Endpoint.SendfileData

- Enclosing class:
    Nio2Endpoint

      public static class Nio2Endpoint.SendfileData
      extends SendfileDataBase

  SendfileData class.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.util.net.SendfileDataBase

      `fileName, keepAliveState, length, pos`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SendfileData​(String filename, long pos, long length)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SendfileData

          public SendfileData​(String filename,
                              long pos,
                              long length)